﻿@model List<Publication>
<div class="container text-center">
    <div class="row">
        @foreach (var item in Model)
        {
            <div class="col-12 py-3 col-sm-6 col-md-4 col-lg-3" id="row" style="text-align: center; margin: 0 auto">
                <div class="card" style="padding: 10px;">
                    <a asp-controller="Publication" asp-action="Details" asp-route-publicationId="@item.Id"><img class="card-img-top" src="~/@item.ImagePath" alt=""></a>
                    <div class="card-body">
                        <p id="description">@item.Desc</p>
                        @if (User.Identity.IsAuthenticated && ViewBag.UserId == item.UserId)
                        {

                            <input type="button" id="deletePublication" onclick="deletePublication('@item.UserId', '@item.Id')" style="font-weight: bolder; border-radius: 3px;" value="Удалить" />
                            <input type="button" onclick="down()" style="font-weight: bolder; border-radius: 3px; margin-top: 5px" value="Редактировать" />
                        }
                    </div>
                </div>
            </div>
        }
    </div>
    </div>
